Package com.logicaldoc.core.task

# Class DocumentProcessorStats

java.lang.Object
com.logicaldoc.core.task.DocumentProcessorStats

Direct Known Subclasses:
  `IndexerStats`

public class DocumentProcessorStats extends Object
Statistics related to a document processing

Since:
  9.2.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`DocumentProcessorStats()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getErrors()`
`long`
`getProcessed()`
`void`
`setErrors(long errors)`
`void`
`setProcessed(long processed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentProcessorStats

public DocumentProcessorStats()

## Method Details

### getProcessed

public long getProcessed()

### setProcessed

public void setProcessed(long processed)

### getErrors

public long getErrors()

### setErrors

public void setErrors(long errors)